
package com.elixirtech.soap;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axiom.om.OMNamespace;
import org.apache.axis2.Constants;
import org.apache.axis2.addressing.EndpointReference;
import org.apache.axis2.client.Options;
import org.apache.axis2.client.ServiceClient;

public class AXIOMClient {


    public static void main(String[] args) {
        try {
        	
            OMFactory fac = OMAbstractFactory.getOMFactory();
            OMNamespace omNs = fac.createOMNamespace("http://quickstart.samples/xsd", "tns");

            OMElement getPricePayload = fac.createOMElement("getPrice", omNs);
            OMElement value = fac.createOMElement("symbol", omNs);
            value.addChild(fac.createOMText(value, "IBM"));
            getPricePayload.addChild(value);
        	
            String pRef = "http://localhost:8080/axis2/services/StockQuoteService";
            
            Options options = new Options();
            options.setTo(new EndpointReference(pRef));
            options.setTransportInProtocol(Constants.TRANSPORT_HTTP);

            ServiceClient sender = new ServiceClient();
            sender.setOptions(options);


 //           Thread.sleep(3000);
            OMElement result = sender.sendReceive(getPricePayload);

            String response = result.getFirstElement().getText();
            System.err.println(response);

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
}
